## indicator-sound 0.7.8

=== debian/changelog ===
indicator-sound (0.7.8-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - indicator-sound interferes with gnome-settings-daemon (LP: #855557)
  * debian/patches/01_fix_FTBFS.patch
    - Dropped, fixed upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 28 Sep 2011 14:34:38 -0400

indicator-sound (0.7.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * add 01_fix_FTBFS.patch for needed -lm link

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 13 Sep 2011 10:20:29 +0200

indicator-sound (0.7.6.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - theming fix for the spinner

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 24 Aug 2011 16:09:29 -0400

indicator-sound (0.7.6-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - mute action crashes the panel (LP: #828114)
    - Clicking music player does not dismiss the menu  (LP: #818293)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 18 Aug 2011 14:19:06 -0400

indicator-sound (0.7.5-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Don't allow starting programs via the greeter indicators (LP: #811853)
    - support libunity's Track and Player specific items (LP: #824050)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 10 Aug 2011 12:51:49 -0400

indicator-sound (0.7.4.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - menu resizes on reopen   (LP: #809275)
    - pulse indication of SoundMenu play button not strong 
      enough (LP: #742251)
  * debian/rules
    - Moved autoreconf to the top
  * New upstream release.

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 29 Jul 2011 13:21:41 -0400

indicator-sound (0.7.3-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - libindicator scroll signals (LP: #804618)
    - metadatawidget collapse (LP: #806439)
  * debian/control
    - Bumped build depends for libindicator to 0.3.90
  * debian/patches/gtk3_define.patch
    - dropped
  * configure.ac
    - Fixup pkgconfig check for libindicator-0.4
  * debian/rules
    - Added autoreconf.mk

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 07 Jul 2011 15:37:27 -0400

indicator-sound (0.7.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - "Sound Preferences..." should be "Sound Settings" (LP: #785571)
    - Not obvious what track info menu item does (LP: #699899)
  * debian/patches/lp_750823.patch
    - Dropped patch, merged upstream
  * debian/patches/gtk3_define.patch
    - Wrap another gtk3 block in an ifdef
  * debian/control
    - Updated standards version to 3.9.2
    - Cleaned up description to quiet lintian
    - Added quilt build dep

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 28 Jun 2011 10:51:51 -0400

indicator-sound (0.7.0-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Displayed cover don't keep the original ratio (LP: #654196)
    - show record level control PULSE_PROP_media.role=production (LP: #736049)
    - Volume notification is based on previous volume; should be based on 
      the new volume (LP: #748831)
    - [gnome3] Sound Preferences link doesn't work (LP: #759390)
  * debian/patches/lp_759390.patch
    - dropped, merged upstream
  * debian/control
    - renamed the libnotify4-dev build depends to libnotify-dev

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 19 May 2011 15:38:19 -0400

indicator-sound (0.6.6.1-0ubuntu3) natty; urgency=low

  * debian/patches/lp_750823.patch
    - Place timeout in the mpris controller to accommodate flaky mpris dbus 
      behaviour, it can be seen sometimes that the players emit a property 
      changed on the metadata property but the actual value of the property 
      which the service then tries to use is the old value (LP: #750823)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 18 Apr 2011 15:08:13 -0400

indicator-sound (0.6.6.1-0ubuntu2) natty; urgency=low

  * debian/patches/lp_759390.patch
    - Sound Preferences link doesn't work in gnome3 (LP: #759390)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 15 Apr 2011 17:12:32 -0400

indicator-sound (0.6.6.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Fix crash with SIGABRT (LP: #738051) (LP: #744304)
    - ensure that if the service crashes the indicator will not show 
      multiple sliders

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 04 Apr 2011 10:02:19 -0400

indicator-sound (0.6.5.1-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Don't change the banshee id yet, that will change in 0.9.6 

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Mar 2011 13:46:06 -0400

indicator-sound (0.6.5-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Media player should be automatically started up when play button is 
      pressed (LP: #714750)
    - volume goes to zero when using some players like banshee or 
      rhythmbox (LP: #730925)
    - handle banshee id change (LP: #737447)
    - filter out video playlists (LP: #739273)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 23 Mar 2011 12:03:02 -0400

indicator-sound (0.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Harmonize mute behaviour of both VOIP and volume slider (LP: #731870)
    - keyboard handling for voip slider not working (LP: #732500)
    - "Choose Playlist" needs to be marked for translation (LP: #736372)
    - show record level control on PULSE_PROP_media.role=production 
      (LP: #736049)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 14:08:17 -0400

indicator-sound (0.6.3-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Broken images on playlist items (LP: #727325)
    - wrong icon for audio-input slider (LP: #723254)
    - blacklist dbus api lacks query functionality (LP: #730526)
    - volume goes to zero when using some players like banshee, 
      rhythmbox (LP: #730925)
    - holding the FW or RW button should have an effect (LP: #694258)
    - With new notify-osd the volume notification on scroll doesn't work as 


=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILDDIR = build
DEB_MAKE_FLAVORS = gtk2 gtk3

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_MAKE_DESTDIRSKEL = $(CURDIR)/debian/tmp/@FLAVOR@
DEB_DESTDIR = $(CURDIR)/debian/tmp/$(cdbs_make_curflavor)/

DEB_CONFIGURE_FLAGS_gtk2 = --with-gtk=2
DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3
DEB_CONFIGURE_EXTRA_FLAGS = --disable-static

LDFLAGS += -Wl,-z,defs -Wl,--as-needed

debian/stamp-autotools/gtk2: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk2)
debian/stamp-autotools/gtk3: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk3)

common-install-arch::
	find debian/tmp -name \*.la -delete
	find debian/tmp -name \*.a -delete

## indicator-sound 12.10.2%2b15.04.20150413

=== tests/CMakeLists.txt ===

###########################
# Google Test
###########################

include_directories(${GTEST_INCLUDE_DIR})

add_library (gtest STATIC
             ${GTEST_SOURCE_DIR}/gtest-all.cc
             ${GTEST_SOURCE_DIR}/gtest_main.cc)
target_link_libraries(gtest ${GTEST_LIBS})

###########################
# GSettings Schema
###########################

# build the necessary schemas
set_directory_properties (PROPERTIES
                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
set_source_files_properties (gschemas.compiled GENERATED)

# GSettings:
# compile the indicator-sound schema into a gschemas.compiled file in this directory,
# and help the tests to find that file by setting -DSCHEMA_DIR
set (SCHEMA_DIR "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
                 OUTPUT_STRIP_TRAILING_WHITESPACE)
add_custom_command (OUTPUT gschemas.compiled
                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.sound.gschema.xml
                    COMMAND mkdir -p ${SCHEMA_DIR}
                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})

###########################
# Vala Mocks
###########################

set(VALA_MOCKS_HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.h")
set(VALA_MOCKS_SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/vala-mocks.def")

vala_init(vala-mocks
	DEPENDS
		indicator-sound-service-lib
	PACKAGES
		config
		gio-2.0
		gio-unix-2.0
		libxml-2.0
		libpulse
		libpulse-mainloop-glib
		libnotify
		accounts-service
		indicator-sound-service
	OPTIONS
		--ccode
		--thread
		--vapidir=${CMAKE_BINARY_DIR}/src/
		--vapidir=${CMAKE_SOURCE_DIR}/vapi/
		--vapidir=.
)

vala_add(vala-mocks
	media-player-mock.vala
)

vala_add(vala-mocks
	media-player-list-mock.vala
)

vala_add(vala-mocks
	volume-control-mock.vala
)

vala_finish(vala-mocks
	SOURCES
		vala_mocks_VALA_SOURCES
	OUTPUTS
		vala_mocks_VALA_C
	GENERATE_HEADER
		${VALA_MOCKS_HEADER_PATH}
	GENERATE_SYMBOLS
		${VALA_MOCKS_SYMBOLS_PATH}
)

set_source_files_properties(
	${vala_mocks_VALA_SOURCES}
	PROPERTIES
	HEADER_FILE_ONLY TRUE
)

set(
	VALA_MOCKS_SOURCES
	${vala_mocks_VALA_SOURCES}
	${vala_mocks_VALA_C}
	${VALA_MOCKS_SYMBOLS_PATH}
)

add_definitions(
	-Wno-unused-but-set-variable
)

add_library(
	vala-mocks-lib STATIC
	${VALA_MOCKS_SOURCES}
)

target_link_libraries(
	vala-mocks-lib
	indicator-sound-service-lib
)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

###########################
# Pulse Mock
###########################

add_library(
	pulse-mock
	SHARED
	pa-mock.cpp
)

target_link_libraries (pulse-mock ${PULSEAUDIO_LIBRARIES})

###########################
# Name Watch Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (name-watch-test name-watch-test.cc ${CMAKE_SOURCE_DIR}/src/bus-watch-namespace.c)
target_link_libraries (name-watch-test gtest ${SOUNDSERVICE_LIBRARIES})
add_test(name-watch-test name-watch-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (accounts-service-user-test accounts-service-user.cc)
target_link_libraries (
	accounts-service-user-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(accounts-service-user-test-basic
	accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.BasicObject
)

add_test(accounts-service-user-test-player
	accounts-service-user-test  --gtest_filter=AccountsServiceUserTest.SetMediaPlayer
)

###########################
# Volume Control
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (volume-control-test volume-control-test.cc)
target_link_libraries (
	volume-control-test
	indicator-sound-service-lib
	pulse-mock
	gtest
	${TEST_LIBRARIES}
)

add_test(volume-control-test volume-control-test)

###########################
# Sound Menu
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (sound-menu-test sound-menu.cc)
target_link_libraries (
	sound-menu-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

add_test(sound-menu-test sound-menu-test)

###########################
# Notification Test
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (notifications-test notifications-test.cc)
target_link_libraries (
	notifications-test
	indicator-sound-service-lib
	vala-mocks-lib
	pulse-mock
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

add_test(notifications-test notifications-test)

###########################
# Accounts Service User
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (media-player-user-test media-player-user.cc)
target_link_libraries (
	media-player-user-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(media-player-user-test-basic
	media-player-user-test  --gtest_filter=MediaPlayerUserTest.BasicObject
)
add_test(media-player-user-test-dataset
	media-player-user-test  --gtest_filter=MediaPlayerUserTest.DataSet
)
add_test(media-player-user-test-timeout
	media-player-user-test  --gtest_filter=MediaPlayerUserTest.TimeoutTest
)

###########################
# Greeter List
###########################

include_directories(${CMAKE_SOURCE_DIR}/src)
add_executable (greeter-list-test greeter-list.cc)
target_link_libraries (
	greeter-list-test
	indicator-sound-service-lib
	vala-mocks-lib
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(greeter-list-test-basic
	greeter-list-test  --gtest_filter=GreeterListTest.BasicObject
)
add_test(greeter-list-test-iterator
	greeter-list-test  --gtest_filter=GreeterListTest.BasicIterator
)

###########################
# Indicator Test
###########################

add_definitions(
	-DINDICATOR_SOUND_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
	-DPA_MOCK_LIB="${CMAKE_CURRENT_BINARY_DIR}/libpulse-mock.so"
)
add_executable (indicator-test indicator-test.cc gschemas.compiled)
target_link_libraries (
	indicator-test
	gtest
	${SOUNDSERVICE_LIBRARIES}
	${TEST_LIBRARIES}
)

# Split tests to work around libaccountservice sucking
add_test(indcator-test
	indicator-test
)

## indicator-sound 0.7.9

=== debian/changelog ===
indicator-sound (0.7.9-0ubuntu2.1) oneiric-proposed; urgency=low

  * debian/patches/fix-864405.patch:
    - Clicking on left 25% of "Pause/Play" circle clicks "Previous".
      (LP: #864405)

 -- Omer Akram <om26er@ubuntu.com>  Mon, 28 Nov 2011 22:51:15 +0500

indicator-sound (0.7.9-0ubuntu2) oneiric-proposed; urgency=low

  * src/pulseaudio-mgr.c
    - indicator-sound-service crashed with SIGABRT in raise() (LP: #840986)
  * src/music-player-bridge.{vala,c}
    - indicator-sound-service crashed with SIGSEGV (LP: #864732)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 28 Oct 2011 10:12:36 -0400

indicator-sound (0.7.9-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    - Protect against source indexes that are lower than 0 (LP: #850662)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 13 Oct 2011 13:53:21 -0400

=== debian/control ===
Source: indicator-sound
Section: sound
Priority: extra
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Conor Curran <conor.curran@canonical.com>
Build-Depends: debhelper (>= 7),
               cdbs (>= 0.4.41), 
               quilt,
               autotools-dev,
               libglib2.0-dev (>= 2.22.3),
               libgtk2.0-dev (>= 2.12.0),
               libgtk-3-dev,
               libdbusmenu-glib-dev (>= 0.3.101),
               libdbusmenu-gtk-dev (>= 0.3.101),
               libdbusmenu-gtk3-dev (>= 0.3.101),
               libindicator-dev (>= 0.3.90),
               libindicator3-dev (>= 0.3.90),
               libpulse-dev (>= 0.9.18),
               libpulse-mainloop-glib0 (>= 0.9.18),
               libido-0.1-dev (>= 0.1.11),
               libido3-0.1-dev (>= 0.2.90),
               libgconf2-dev,
               libgee-dev,
               libxml2-dev,
               libnotify-dev,
               valac-0.12,
               dh-autoreconf
Standards-Version: 3.9.2
Homepage: https://launchpad.net/indicator-sound

Package: indicator-sound
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pulseaudio
Description: System sound indicator.
 System sound indicator which provides easy control of the PulseAudio sound 
 daemon.

Package: indicator-sound-gtk2
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         indicator-sound (= ${binary:Version}),
         pulseaudio
Replaces: indicator-sound (<< 0.7.1)
Description: System sound indicator.
 System sound indicator which provides easy control of the PulseAudio sound 
 daemon.

## indicator-sound 0.8.5.0

=== debian/changelog ===
indicator-sound (0.8.5.0-0ubuntu2.1) precise-proposed; urgency=low

  * debian/patches/lp_992262.patch
    - fix sound indicator not working after amarok close (LP: #992262)
  * debian/patches/lp_902715.patch
    - Partial fix which sets the accessibility property on the volume
      slider menu item. Previously this was achieved by sending a signal
      on the indicator object but now it seems the way to update orca is
      to set/update the appropriate property on the menuitem.  Orca doesn't
      broadcast volume updates on slider movement but at least it updates
      when the user moves to the item on the menu, previously it was entirely
      silent. (LP: #902715)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 03 May 2012 16:16:41 -0700

indicator-sound (0.8.5.0-0ubuntu2) precise; urgency=low

  * debian/patches:
    - sound_ubuntustudio.patch: added to prefer pavucontrol as the
      mixer app in Ubuntu Studio. (LP: #972749)

 -- Janne Jokitalo (astraljava) <astraljava@kapsi.fi>  Sun, 01 Apr 2012 21:45:34 +0300

indicator-sound (0.8.5.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Inconsistency between messaging menu and sound menu pips (LP: #933593)
    - indicator-sound-service crashed with SIGSEGV in 
      fast_validate() (LP: #949837)
    - free-memory-read crash in indicator-sound-service's file 
      monitoring (LP: #965848)
    - minor memory leaks in blacklist handling (LP: #960578)
    - FIX (LP: FIX)
  * -debian/patches/lp_945827.patch, debian/patches/lp_960846.patch
     - dropped, merged upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 30 Mar 2012 14:45:03 -0400

indicator-sound (0.8.4.1-0ubuntu4) precise; urgency=low

  * debian/patches:
    - sound_xubuntu.patch: added, prefer pavucontrol over xfce4-mixer on
      Xubuntu. (lp: #961745)

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 22 Mar 2012 00:17:34 +0100

indicator-sound (0.8.4.1-0ubuntu3) precise; urgency=low

  * debian/patches/lp_960846.patch
    - check that the active playlists container is not null (LP: #960846)

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 21 Mar 2012 11:00:15 -0400

indicator-sound (0.8.4.1-0ubuntu2) precise; urgency=low

  * debian/patches/lp_945827.patch
    - fix for a playlist crasher (LP: #945827)

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 20 Mar 2012 16:40:24 -0400

indicator-sound (0.8.4.1-0ubuntu1) precise; urgency=low

  * New upstream release.
    - fix i18n of indicator-sound's accessible description (LP: #957517)
    - don't abort isound via g_error() if it can't connect to the 
      bus (LP: #953111)
  * debian/patches/sound_nua.patch
    - don't try to free a static string (LP: #957387)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 19 Mar 2012 11:22:00 -0400

indicator-sound (0.8.4.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - indicator-sound "Choose Playlist" menu item does nothing when using 
      Rhythmbox (LP: #952550)
    - crashed with SIGSEGV in g_strdup() (LP: #946607)
    - crashed with SIGABRT in pa_operation_unref() (LP: #944148)
    - crashed with signal 5 in g_type_create_instance() (LP: #921755)
    - slider on unmute resets volume (LP: #921065)
    - play controls not exposed in HUD (LP: #949032)
    - unity-panel-service at 100% cpu when opened /w rb without album 
      cover (LP: #806848)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 14:04:30 -0400

indicator-sound (0.8.3.0-0ubuntu2) precise; urgency=low

  * debian/patches/sound_nua.patch
    - Sound Settings link doesn't work in GNOME Classic (LP: #941704)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 16 Mar 2012 13:39:03 -0400

indicator-sound (0.8.3.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fixed memory corruption issue (LP: #897218)
    - crashed with SIGABRT in pa_operation_unref (LP: #908682)
    - Banshee shown in sound menu after removal until reboot (LP: #771202)
    - Coverity PASS_BY_VALUE - CID 10620 (LP: #937451)
    - App icon and name are not aligned (LP: #939929)

 -- Ken VanDine <ken.vandine@canonical.com>  Fri, 02 Mar 2012 11:26:41 -0500

indicator-sound (0.8.2.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - crashed with SIGABRT in pa_cvolume_set (LP: #900117)
    - Mouse on coverart flushes the sound menu (LP: #927733)
    - album artwork misaligned and not visible (LP: #933359)
    - unity-panel-service crashed with SIGSEGV in 
      transport_widget_is_selected (LP: #882109)
  * -debian/patches/correct_ldflags_use.patch
    - fixed upstream

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 22 Feb 2012 16:41:12 -0500

indicator-sound (0.8.1.0-0ubuntu1) precise; urgency=low

  * New upstream release.
    - No easy way to turn the sound menu on/off (lp: #829648)
    - Avoid spawning notification daemon at startup (lp: #912150)
    - Creation of album-art-cache folder (lp: #799383)
    - schema id & path are inconsistent with other indicators (lp: #914377)
  * debian/patches/correct_ldflags_use.patch:
    - typo fix in ldflags use

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 14 Feb 2012 19:46:41 +0100

indicator-sound (0.8.0.0-0ubuntu4) precise; urgency=low

  * debian/patches/sound_nua.patch
    - open the new sound-nua panel in gnome-control-center 
  * debian/patches/dbusmenu_05_90.patch
    - fixed FTBFS with dbusmenu 0.5.90
  * debian/control
    - bump build depends for dbusmenu to >= 0.5.90

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 09 Feb 2012 16:49:15 -0500

indicator-sound (0.8.0.0-0ubuntu3) precise; urgency=low

  * rebuild for libindicator7
  * debian/rules
    - build with no-error=deprecated-declarations 
  * -debian/patches/disable_Werror.patch
    - disabled in debian/rules instead

 -- Ken VanDine <ken.vandine@canonical.com>  Wed, 25 Jan 2012 10:00:00 -0500

indicator-sound (0.8.0.0-0ubuntu2) precise; urgency=low

  * Add lazy_init.patch: Avoid spawning notification daemon right at startup,


=== debian/control ===
--- 
+++ 
@@ -10,20 +10,19 @@
                libglib2.0-dev (>= 2.22.3),
                libgtk2.0-dev (>= 2.12.0),
                libgtk-3-dev,
-               libdbusmenu-glib-dev (>= 0.3.101),
-               libdbusmenu-gtk-dev (>= 0.3.101),
-               libdbusmenu-gtk3-dev (>= 0.3.101),
+               libdbusmenu-glib-dev (>= 0.5.90),
+               libdbusmenu-gtk-dev (>= 0.5.90),
+               libdbusmenu-gtk3-dev (>= 0.5.90),
                libindicator-dev (>= 0.3.90),
                libindicator3-dev (>= 0.3.90),
                libpulse-dev (>= 0.9.18),
                libpulse-mainloop-glib0 (>= 0.9.18),
                libido-0.1-dev (>= 0.1.11),
                libido3-0.1-dev (>= 0.2.90),
-               libgconf2-dev,
                libgee-dev,
                libxml2-dev,
                libnotify-dev,
-               valac-0.12,
+               valac-0.14,
                dh-autoreconf
 Standards-Version: 3.9.2
 Homepage: https://launchpad.net/indicator-sound

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 DEB_CONFIGURE_FLAGS_gtk3 = --with-gtk=3
 DEB_CONFIGURE_EXTRA_FLAGS = --disable-static
 
+CFLAGS += -Wno-error=deprecated-declarations
 LDFLAGS += -Wl,-z,defs -Wl,--as-needed
 
 debian/stamp-autotools/gtk2: cdbs_configure_flags += $(DEB_CONFIGURE_FLAGS_gtk2)

## indicator-sound 12.10.1

=== debian/changelog ===
indicator-sound (12.10.1-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Oct 2012 21:52:53 +0200

indicator-sound (12.10.0-0ubuntu2) quantal; urgency=low

  * Drop GTK2 build since ido stopped providing support for that version
  * debian/control: build with the current vala version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 22 Aug 2012 12:05:18 +0200

indicator-sound (12.10.0-0ubuntu1) quantal; urgency=low

  * New upstream release.
    - Allow setting preferred media players through a settings key.
    - Fix sound indicator not working after Amarok close.
    - Explicit handling of Ardour
    - Fix deprecated GTK+ API calls
  * debian/patches/lp_992262.patch:
  * debian/patches/lp_902715.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Jul 2012 20:07:48 +0200

indicator-sound (0.8.5.0-0ubuntu3) quantal; urgency=low

  * debian/patches/lp_992262.patch
    - fix sound indicator not working after amarok close (LP: #992262)
  * debian/patches/lp_902715.patch
    - Partial fix which sets the accessibility property on the volume
      slider menu item. Previously this was achieved by sending a signal
      on the indicator object but now it seems the way to update orca is
      to set/update the appropriate property on the menuitem.  Orca doesn't
      broadcast volume updates on slider movement but at least it updates
      when the user moves to the item on the menu, previously it was entirely
      silent. (LP: #902715)

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 03 May 2012 16:07:19 -0700

=== debian/control ===
Source: indicator-sound
Section: sound
Priority: extra
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Conor Curran <conor.curran@canonical.com>
Build-Depends: debhelper (>= 7),
               cdbs (>= 0.4.41), 
               quilt,
               autotools-dev,
               libglib2.0-dev (>= 2.22.3),
               libgtk-3-dev,
               libdbusmenu-glib-dev (>= 0.5.90),
               libdbusmenu-gtk3-dev (>= 0.5.90),
               libindicator3-dev (>= 0.3.90),
               libpulse-dev (>= 0.9.18),
               libpulse-mainloop-glib0 (>= 0.9.18),
               libido3-0.1-dev (>= 0.2.90),
               libgee-dev,
               libxml2-dev,
               libnotify-dev,
               valac-0.18,
               dh-autoreconf
Standards-Version: 3.9.3
Homepage: https://launchpad.net/indicator-sound

Package: indicator-sound
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pulseaudio
Description: System sound indicator.
 System sound indicator which provides easy control of the PulseAudio sound 
 daemon.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk

DEB_CONFIGURE_EXTRA_FLAGS = --disable-static

CFLAGS += -Wno-error=deprecated-declarations
LDFLAGS += -Wl,-z,defs -Wl,--as-needed

common-install-arch::
	find debian/indicator-sound -name \*.la -delete

## indicator-sound 12.10.2%2b16.04.20160502.1

=== integration/CMakeLists.txt ===
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(GMock REQUIRED)

#pkg_check_modules(GMENUHARNESS REQUIRED libgmenuharness REQUIRED)
#include_directories(${GMENUHARNESS_INCLUDE_DIRS})
include_directories("${CMAKE_SOURCE_DIR}/include")

pkg_check_modules(QTDBUSTEST REQUIRED libqtdbustest-1 REQUIRED)
include_directories(${QTDBUSTEST_INCLUDE_DIRS})

pkg_check_modules(QTDBUSMOCK REQUIRED libqtdbusmock-1 REQUIRED)
include_directories(${QTDBUSMOCK_INCLUDE_DIRS})

find_package(Qt5Test REQUIRED)
include_directories(${Qt5Test_INCLUDE_DIRS})

find_package(Qt5DBus REQUIRED)
include_directories(${Qt5DBus_INCLUDE_DIRS})

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})

include_directories("${CMAKE_SOURCE_DIR}/tests/dbus-types")
include_directories("${CMAKE_BINARY_DIR}/tests/dbus-types")

add_definitions(-DSOUND_SERVICE_BIN="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
                -DSTREAM_RESTORE_TABLE="${CMAKE_SOURCE_DIR}/tests/integration/touch-stream-restore.table"
                -DVOLUME_SET_BIN="${CMAKE_BINARY_DIR}/tests/integration/set-volume"
                -DACCOUNTS_SERVICE_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/accounts-mock/accounts-service-sound"
                -DMEDIA_PLAYER_MPRIS_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/media-player-mpris-mock/media-player-mpris-mock"
                -DMEDIA_PLAYER_MPRIS_UPDATE_BIN="${CMAKE_BINARY_DIR}/tests/service-mocks/media-player-mpris-mock/media-player-mpris-mock-update"
                -DTEST_SOUND="${CMAKE_SOURCE_DIR}/tests/integration/test-sound.wav"
                -DQT_NO_KEYWORDS=1
                -DXDG_DATA_DIRS="${XDG_DATA_DIRS}"
)

set(GLIB_REQUIRED_VERSION 2.26)

pkg_check_modules(
  GLIB REQUIRED
  glib-2.0>=${GLIB_REQUIRED_VERSION}
  gio-2.0>=${GLIB_REQUIRED_VERSION}
)
include_directories(${GLIB_INCLUDE_DIRS})

set(
    INTEGRATION_TESTS_SRC
    indicator-sound-test-base.cpp
    test-indicator.cpp
    utils/dbus-pulse-volume.cpp
    main.cpp
)

add_executable(
    integration-tests
    ${INTEGRATION_TESTS_SRC}
)

qt5_use_modules(
    integration-tests
    Core
    DBus
    Test
)

target_link_libraries(
    integration-tests
    sound-indicator-dbus-interfaces
    ${QTDBUSMOCK_LDFLAGS}
    ${QTDBUSTEST_LDFLAGS}
    ${GTEST_LIBRARIES}
    ${GMOCK_LIBRARIES}
#    ${GMENUHARNESS_LDFLAGS}
    ${GLIB_LDFLAGS}
    gmenuharness-shared
)

add_test(
    integration-tests
    integration-tests
)

set(
    SET-VOLUME-SRC
    utils/dbus-pulse-volume.cpp
    utils/set-volume.cpp
)

set(
    GET-VOLUME-SRC
    utils/dbus-pulse-volume.cpp
    utils/get-volume.cpp
)

add_executable(
    set-volume
    ${SET-VOLUME-SRC}
)

add_executable(
    get-volume
    ${GET-VOLUME-SRC}
)

qt5_use_modules(
    set-volume
    Core
    DBus
    Test
)

qt5_use_modules(
    get-volume
    Core
    DBus
    Test
)

target_link_libraries(
    get-volume
    sound-indicator-dbus-interfaces
)

target_link_libraries(
    set-volume
    sound-indicator-dbus-interfaces
)

#add_subdirectory(utils)

## indicator-sound 12.10.2%2b17.04.20161201

=== CMakeLists.txt ===

include(UseGSettings)

###########################
# Indicator service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/unity/indicators"
  CACHE FILEPATH "Indicator directory"
)

install(
  FILES "com.canonical.indicator.sound"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Systemd Job
###########################

# where to install
# Uncomment when we drop Vivid
# pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
set (SYSTEMD_USER_DIR "/usr/lib/systemd/user")
message (STATUS "${SYSTEMD_USER_DIR} is the systemd user unit file install dir")

set (SYSTEMD_USER_NAME "${CMAKE_PROJECT_NAME}.service")
set (SYSTEMD_USER_FILE "${CMAKE_CURRENT_BINARY_DIR}/${SYSTEMD_USER_NAME}")
set (SYSTEMD_USER_FILE_IN "${CMAKE_CURRENT_SOURCE_DIR}/${SYSTEMD_USER_NAME}.in")

# build it
set (pkglibexecdir "${CMAKE_INSTALL_FULL_PKGLIBEXECDIR}")
configure_file ("${SYSTEMD_USER_FILE_IN}" "${SYSTEMD_USER_FILE}")

# install it
install (FILES "${SYSTEMD_USER_FILE}"
         DESTINATION "${SYSTEMD_USER_DIR}")

###########################
#  Upstart systemd override Job File
###########################

set (UPSTART_SYSTEMD_OVERRIDE_DIR "${CMAKE_INSTALL_FULL_DATADIR}/upstart/systemd-session/upstart")
message (STATUS "${UPSTART_SYSTEMD_OVERRIDE_DIR} is the Upstart override Job File for systemd dir")

install (FILES "${CMAKE_CURRENT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}.override"
         DESTINATION "${UPSTART_SYSTEMD_OVERRIDE_DIR}")

###########################
# Upstart Job
###########################

set(
  INDICATOR_SOUND_CONF
  "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound.conf"
)

configure_file(
  "indicator-sound.conf.in"
  ${INDICATOR_SOUND_CONF}
  @ONLY
)

install(
  FILES "${INDICATOR_SOUND_CONF}"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/upstart/sessions/"
)

###########################
# XDG Autostart
###########################

set(
  INDICATOR_SOUND_XDG_AUTOSTART
  "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound.desktop"
)

configure_file(
  "indicator-sound.desktop.in"
  ${INDICATOR_SOUND_XDG_AUTOSTART}
  @ONLY
)

install(
  FILES "${INDICATOR_SOUND_XDG_AUTOSTART}"
  DESTINATION "/etc/xdg/autostart"
)

###########################
# Upstart XDG Autostart Override
###########################

set(
  INDICATOR_SOUND_UPSTART_XDG_AUTOSTART
  "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound.upstart.desktop"
)

configure_file(
  "indicator-sound.upstart.desktop.in"
  ${INDICATOR_SOUND_UPSTART_XDG_AUTOSTART}
  @ONLY
)

install(
  FILES "${INDICATOR_SOUND_UPSTART_XDG_AUTOSTART}"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/upstart/xdg/autostart"
  RENAME "indicator-sound.desktop"
)

###########################
# GSettings
###########################

add_schema ("com.canonical.indicator.sound.gschema.xml")

###########################
# Accounts Service
###########################


set(POLKIT_LIB_DIR "${CMAKE_INSTALL_LOCALSTATEDIR}/lib/polkit-1")
set(POLKIT_DATA_DIR "${CMAKE_INSTALL_PREFIX}/share/polkit-1")
set(DBUS_IFACE_DIR "${CMAKE_INSTALL_PREFIX}/share/dbus-1/interfaces")
set(ACCOUNTS_IFACE_DIR "${CMAKE_INSTALL_PREFIX}/share/accountsservice/interfaces")

install(FILES com.canonical.indicator.sound.AccountsService.xml
	DESTINATION "${DBUS_IFACE_DIR}"
)

# Create accountsservice symlink for above dbus interface
install(CODE "
	execute_process(COMMAND mkdir -p \"\$ENV{DESTDIR}${ACCOUNTS_IFACE_DIR}\")
	execute_process(COMMAND ln -sf ../../dbus-1/interfaces/com.canonical.indicator.sound.AccountsService.xml \"\$ENV{DESTDIR}${ACCOUNTS_IFACE_DIR}\")
")

install(FILES com.canonical.indicator.sound.AccountsService.policy
DESTINATION "${POLKIT_DATA_DIR}/actions"
)

install(FILES 50-com.canonical.indicator.sound.AccountsService.pkla
DESTINATION "${POLKIT_LIB_DIR}/localauthority/10-vendor.d"
)

## indicator-sound 12.10.2%2b17.04.20170109

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 
-include(UseGSettings)
+find_package(GSettings)
 
 ###########################
 # Indicator service

=== integration/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 
-find_package(GMock REQUIRED)
+find_package(GMock)
 
 #pkg_check_modules(GMENUHARNESS REQUIRED libgmenuharness REQUIRED)
 #include_directories(${GMENUHARNESS_INCLUDE_DIRS})

## indicator-sound 12.10.2+13.10.20131011

=== CMakeLists.txt ===
project(indicator-sound C CXX)
cmake_minimum_required(VERSION 2.8.9)

set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" "${CMAKE_MODULE_PATH}")

set(PACKAGE ${CMAKE_PROJECT_NAME})
set(GETTEXT_PACKAGE indicator-sound)
set(GNOMELOCALEDIR "${CMAKE_INSTALL_FULL_DATADIR}/locale")

add_definitions( -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}" )

find_package(PkgConfig REQUIRED)
include(GNUInstallDirs)
include(Coverage)
include(UseVala)

# Workaround for libexecdir on debian
if (EXISTS "/etc/debian_version") 
  set(CMAKE_INSTALL_LIBEXECDIR ${CMAKE_INSTALL_LIBDIR})
  set(CMAKE_INSTALL_FULL_LIBEXECDIR "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBEXECDIR}")
endif()

set(SOURCE_DIR "${CMAKE_SOURCE_DIR}/src")
set(SOURCE_BINARY_DIR "${CMAKE_BINARY_DIR}/src")

set(PULSE_AUDIO_REQUIRED_VERSION 0.9.19)
set(GIO_2_0_REQUIRED_VERSION 2.25.13)
set(URL_DISPATCHER_1_REQUIRED_VERSION 1)

pkg_check_modules(
  PULSEAUDIO REQUIRED
  libpulse-mainloop-glib>=${PULSE_AUDIO_REQUIRED_VERSION}
  gio-unix-2.0>=${GIO_2_0_REQUIRED_VERSION}
  url-dispatcher-1>=${URL_DISPATCHER_1_REQUIRED_VERSION}
)
include_directories(${PULSEAUDIO_INCLUDE_DIRS})

pkg_check_modules(
  SOUNDSERVICE REQUIRED
  gee-1.0
  gio-2.0>=${GIO_2_0_REQUIRED_VERSION}
  gio-unix-2.0
  libxml-2.0
  libnotify
)
include_directories(${SOUNDSERVICE_INCLUDE_DIRS})

find_package(Vala 0.18)

find_package(GObjectIntrospection 0.9.12)

include_directories(${SOURCE_DIR})
include_directories(${SOURCE_BINARY_DIR})

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c11")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_definitions(
  -Wall
)

configure_file(
  "config.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/config.h"
)

add_subdirectory(data)
add_subdirectory(src)

enable_testing()
add_subdirectory(tests)

=== data/CMakeLists.txt ===

include(UseGSettings)

###########################
# Indicator service
###########################

set(
  INDICATOR_DIR
  "${CMAKE_INSTALL_DATADIR}/unity/indicators"
  CACHE FILEPATH "Indicator directory"
)

install(
  FILES "com.canonical.indicator.sound"
  DESTINATION "${INDICATOR_DIR}"
)

###########################
# Dbus Service
###########################

set(
  INDICATOR_SOUND_SERVICE
  "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound.service"
)

configure_file(
  "indicator-sound.service.in"
  ${INDICATOR_SOUND_SERVICE}
  @ONLY
)

install(
  FILES "${INDICATOR_SOUND_SERVICE}"
  DESTINATION "${CMAKE_INSTALL_DATADIR}/dbus-1/services/"
)

###########################
# GSettings
###########################

add_schema ("com.canonical.indicator.sound.gschema.xml")

=== src/CMakeLists.txt ===

###########################
# Vala Generation
###########################

set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.h")
set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.def")

vala_init(indicator-sound-service
  PACKAGES
    config
    gio-2.0
    gio-unix-2.0
    libxml-2.0
    libpulse
    libpulse-mainloop-glib
    libnotify
  OPTIONS
    --ccode
    --thread
    --vapidir=${CMAKE_SOURCE_DIR}/vapi/
    --vapidir=.
    --target-glib=2.36
    --pkg=url-dispatcher
    --pkg=bus-watcher
)

vala_add(indicator-sound-service
  service.vala
  DEPENDS
    sound-menu
    volume-control
    media-player
    media-player-list
)
vala_add(indicator-sound-service
  main.vala
  DEPENDS
    service
)
vala_add(indicator-sound-service
  volume-control.vala
)
vala_add(indicator-sound-service
  media-player.vala
  DEPENDS
    mpris2-interfaces
)
vala_add(indicator-sound-service
  media-player-list.vala
  DEPENDS
    media-player
    mpris2-interfaces
)
vala_add(indicator-sound-service
  mpris2-interfaces.vala
)
vala_add(indicator-sound-service
  freedesktop-interfaces.vala
)
vala_add(indicator-sound-service
  sound-menu.vala
  DEPENDS
    media-player
)

vala_finish(indicator-sound-service
  SOURCES
    project_VALA_SOURCES
  OUTPUTS
    project_VALA_C
  GENERATE_HEADER
    ${HEADER_PATH}
  GENERATE_SYMBOLS
    ${SYMBOLS_PATH}
)

set_source_files_properties(
  ${project_VALA_SOURCES}
  PROPERTIES
  HEADER_FILE_ONLY TRUE
)

set(
  INDICATOR_SOUND_SOURCES
  ${project_VALA_SOURCES}
  ${project_VALA_C}
  bus-watch-namespace.c
  ${SYMBOLS_PATH}
)

###########################
# Executable
###########################

add_definitions(
  -w
)

add_executable(
  indicator-sound-service-bin
  ${INDICATOR_SOUND_SOURCES}
)

set_target_properties(
  indicator-sound-service-bin
  PROPERTIES
  OUTPUT_NAME "indicator-sound-service"
)

target_link_libraries(
  indicator-sound-service-bin
  ${PULSEAUDIO_LIBRARIES}
  ${SOUNDSERVICE_LIBRARIES}
)

###########################
# Installation
###########################

install(
  TARGETS indicator-sound-service-bin
  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/indicator-sound/
)

## indicator-sound 12.10.2+14.04.20140401

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,12 +40,20 @@
   gee-1.0
   gio-2.0>=${GIO_2_0_REQUIRED_VERSION}
   gio-unix-2.0
+  gthread-2.0
   libxml-2.0
   libnotify
+  accountsservice
 )
 include_directories(${SOUNDSERVICE_INCLUDE_DIRS})
 
-find_package(Vala 0.18)
+pkg_check_modules(
+  TEST REQUIRED
+  dbustest-1
+)
+include_directories(${TEST_INCLUDE_DIRS})
+
+find_package(Vala 0.20)
 
 find_package(GObjectIntrospection 0.9.12)
 
@@ -68,5 +76,10 @@
 add_subdirectory(src)
 
 enable_testing()
+
+set (GTEST_SOURCE_DIR /usr/src/gtest/src)
+set (GTEST_INCLUDE_DIR ${GTEST_SOURCE_DIR}/..)
+set (GTEST_LIBS -lpthread)
+
 add_subdirectory(tests)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,20 @@
 
 set(HEADER_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.h")
 set(SYMBOLS_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.def")
+set(VAPI_PATH "${CMAKE_CURRENT_BINARY_DIR}/indicator-sound-service.vapi")
+
+vapi_gen(accounts-service
+	LIBRARY
+		accounts-service
+	PACKAGES
+		gio-2.0
+	INPUT
+		/usr/share/gir-1.0/AccountsService-1.0.gir
+)
 
 vala_init(indicator-sound-service
+  DEPENDS
+    accounts-service
   PACKAGES
     config
     gio-2.0
@@ -15,12 +27,12 @@
     libpulse
     libpulse-mainloop-glib
     libnotify
+    accounts-service
   OPTIONS
     --ccode
     --thread
     --vapidir=${CMAKE_SOURCE_DIR}/vapi/
     --vapidir=.
-    --target-glib=2.36
     --pkg=url-dispatcher
     --pkg=bus-watcher
 )
@@ -32,25 +44,47 @@
     volume-control
     media-player
     media-player-list
-)
-vala_add(indicator-sound-service
-  main.vala
-  DEPENDS
-    service
+    mpris2-interfaces
+    accounts-service-user
 )
 vala_add(indicator-sound-service
   volume-control.vala
 )
 vala_add(indicator-sound-service
   media-player.vala
+)
+vala_add(indicator-sound-service
+  media-player-mpris.vala
   DEPENDS
+    media-player
     mpris2-interfaces
+)
+vala_add(indicator-sound-service
+  media-player-user.vala
+  DEPENDS
+    media-player
+	accounts-service-sound-settings
+    greeter-broadcast
 )
 vala_add(indicator-sound-service
   media-player-list.vala
   DEPENDS
     media-player
+)
+vala_add(indicator-sound-service
+  media-player-list-mpris.vala
+  DEPENDS
+    media-player-list
+    media-player
+    media-player-mpris
     mpris2-interfaces
+)
+vala_add(indicator-sound-service
+  media-player-list-greeter.vala
+  DEPENDS
+    media-player-list
+    media-player-user
+    media-player
 )
 vala_add(indicator-sound-service
   mpris2-interfaces.vala
@@ -63,6 +97,20 @@
   DEPENDS
     media-player
 )
+vala_add(indicator-sound-service
+  accounts-service-user.vala
+  DEPENDS
+    media-player
+    mpris2-interfaces
+    accounts-service-sound-settings
+    greeter-broadcast
+)
+vala_add(indicator-sound-service
+  accounts-service-sound-settings.vala
+)
+vala_add(indicator-sound-service
+  greeter-broadcast.vala
+)
 
 vala_finish(indicator-sound-service
   SOURCES
@@ -73,6 +121,8 @@
     ${HEADER_PATH}
   GENERATE_SYMBOLS
     ${SYMBOLS_PATH}
+  GENERATE_VAPI
+    ${VAPI_PATH}
 )
 
 set_source_files_properties(
@@ -90,16 +140,33 @@
 )
 
 ###########################
-# Executable
+# Lib
 ###########################
 
 add_definitions(
   -w
 )
 
+add_library(
+	indicator-sound-service-lib STATIC
+	${INDICATOR_SOUND_SOURCES}
+)
+
+target_link_libraries(
+  indicator-sound-service-lib
+  ${PULSEAUDIO_LIBRARIES}
+  ${SOUNDSERVICE_LIBRARIES}
+)
+
+###########################
+# Executable
+###########################
+
+include_directories(${CMAKE_BINARY_DIR})
+
 add_executable(
   indicator-sound-service-bin
-  ${INDICATOR_SOUND_SOURCES}
+  main.c
 )
 
 set_target_properties(
@@ -110,8 +177,7 @@
 
 target_link_libraries(
   indicator-sound-service-bin
-  ${PULSEAUDIO_LIBRARIES}
-  ${SOUNDSERVICE_LIBRARIES}
+  indicator-sound-service-lib
 )
 
 ###########################

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,29 +9,6 @@
              ${GTEST_SOURCE_DIR}/gtest-all.cc
              ${GTEST_SOURCE_DIR}/gtest_main.cc)
 target_link_libraries(gtest ${GTEST_LIBS})
-
-###########################
-# GSettings Schema
-###########################
-
-# build the necessary schemas
-set_directory_properties (PROPERTIES
-                          ADDITIONAL_MAKE_CLEAN_FILES gschemas.compiled)
-set_source_files_properties (gschemas.compiled GENERATED)
-
-# GSettings:
-# compile the indicator-sound schema into a gschemas.compiled file in this directory,
-# and help the tests to find that file by setting -DSCHEMA_DIR
-set (SCHEMA_DIR "${CMAKE_CURRENT_BINARY_DIR}/gsettings-schemas")
-add_definitions(-DSCHEMA_DIR="${SCHEMA_DIR}")
-execute_process (COMMAND ${PKG_CONFIG_EXECUTABLE} gio-2.0 --variable glib_compile_schemas
-                 OUTPUT_VARIABLE COMPILE_SCHEMA_EXECUTABLE
-                 OUTPUT_STRIP_TRAILING_WHITESPACE)
-add_custom_command (OUTPUT gschemas.compiled
-                    DEPENDS ${CMAKE_SOURCE_DIR}/data/com.canonical.indicator.sound.gschema.xml
-                    COMMAND mkdir -p ${SCHEMA_DIR}
-                    COMMAND cp -f ${CMAKE_SOURCE_DIR}/data/*gschema.xml ${SCHEMA_DIR}
-                    COMMAND ${COMPILE_SCHEMA_EXECUTABLE} ${SCHEMA_DIR})
 
 ###########################
 # Vala Mocks
@@ -63,14 +40,6 @@
 
 vala_add(vala-mocks
 	media-player-mock.vala
-)
-
-vala_add(vala-mocks
-	media-player-list-mock.vala
-)
-
-vala_add(vala-mocks
-	volume-control-mock.vala
 )
 
 vala_finish(vala-mocks
@@ -114,18 +83,6 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 ###########################
-# Pulse Mock
-###########################
-
-add_library(
-	pulse-mock
-	SHARED
-	pa-mock.cpp
-)
-
-target_link_libraries (pulse-mock ${PULSEAUDIO_LIBRARIES})
-
-###########################
 # Name Watch Test
 ###########################
 
@@ -159,22 +116,6 @@
 )
 
 ###########################
-# Volume Control
-###########################
-
-include_directories(${CMAKE_SOURCE_DIR}/src)
-add_executable (volume-control-test volume-control-test.cc)
-target_link_libraries (
-	volume-control-test
-	indicator-sound-service-lib
-	pulse-mock
-	gtest
-	${TEST_LIBRARIES}
-)
-
-add_test(volume-control-test volume-control-test)
-
-###########################
 # Sound Menu
 ###########################
 
@@ -190,24 +131,6 @@
 )
 
 add_test(sound-menu-test sound-menu-test)
-
-###########################
-# Notification Test
-###########################
-
-include_directories(${CMAKE_SOURCE_DIR}/src)
-add_executable (notifications-test notifications-test.cc)
-target_link_libraries (
-	notifications-test
-	indicator-sound-service-lib
-	vala-mocks-lib
-	pulse-mock
-	gtest
-	${SOUNDSERVICE_LIBRARIES}
-	${TEST_LIBRARIES}
-)
-
-add_test(notifications-test notifications-test)
 
 ###########################
 # Accounts Service User
@@ -258,23 +181,3 @@
 	greeter-list-test  --gtest_filter=GreeterListTest.BasicIterator
 )
 
-###########################
-# Indicator Test
-###########################
-
-add_definitions(
-	-DINDICATOR_SOUND_SERVICE_BINARY="${CMAKE_BINARY_DIR}/src/indicator-sound-service"
-	-DPA_MOCK_LIB="${CMAKE_CURRENT_BINARY_DIR}/libpulse-mock.so"
-)
-add_executable (indicator-test indicator-test.cc gschemas.compiled)
-target_link_libraries (
-	indicator-test
-	gtest
-	${SOUNDSERVICE_LIBRARIES}
-	${TEST_LIBRARIES}
-)
-
-# Split tests to work around libaccountservice sucking
-add_test(indcator-test
-	indicator-test
-)
